#include <iostream>
#include <fstream>
#include <ctime>
#include<time.h>
#include<stdlib.h>
#include <iomanip>
#include <math.h>

using namespace std;
int const N=60;


class bistab
{
private:
    int *Mass, *Masstemp;
public:
    int t=90;

    bistab ()
    {
        Mass=new int[N];
        Masstemp=new int[N];
        BegCondition();

    }

    void BegCondition()//  
    {
        srand(time(NULL));
        for (int i=0; i<N; i++)
        {
            Mass[i]=rand()%2;

        }
    }
    int NewState(int a, int b, int c)
    {
        if (b+c==0)
        {
            return 0;
        }
        else if (b+c==2)
        {
            return 1;
        }
        else
        {
            return a;
        }
    }

    void Calc()
    {

        for (int i=1; i<N; i++)
        {
            Masstemp[i]=NewState(Mass[i],Mass[i-1],Mass[i+1]);
        }
        Masstemp[0]=NewState(Mass[0], Mass[N-1], Mass[1] );
        Masstemp[N-1]=NewState( Mass[N-1], Mass[N-2], Mass[0]);
        Mass=Masstemp;
    }
    void SaveDatha(char FILE[])
    {
        ofstream fout(FILE, ios::app);
        for (int i=0; i<N; i++)
        {
            fout<<Mass[i]<<" ";
        }
        fout<<" \n ";
        fout.close();
    }
    void Step()
    {
        for (int i=0; i<t; i++)
        {
            Calc();
            SaveDatha("FILE.txt");
        }
    }

};
int main()
{
    ofstream FILE("Output.txt", ios::trunc);//   
    FILE.close();
    bistab bi;
    bi.Step();
    return 0;
}
